青木です。

NetBSD/Alpha の dln.c で warning が出ていたので調べてみると、
最近の NetBSD では dln.h を #include したほうがよいようです。
いつから入ったのか知らないのでとりあえず 1.6 以上にしてみました。
-------------------------------------------------------------------
青木峰郎

Index: dln.c =================================================================== RCS file: /src/ruby/dln.c,v retrieving revision 1.55 diff -u -p -r1.55 dln.c --- dln.c 25 Jul 2003 05:36:47 -0000 1.55 +++ dln.c 25 Dec 2003 01:59:02 -0000 @@ -1115,7 +1115,7 @@ dln_sym(name) #endif /* USE_DLN_A_OUT */ #ifdef USE_DLN_DLOPEN -# ifdef __NetBSD__ +# if defined(__NetBSD__) && (__NetBSD_Version__ < 106000000) # include <nlist.h> # include <link.h> # else